- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
color.h File Reference
Miscellaneous Tools
`#include <vector>`
`#include <lemon/math.h>`
`#include <lemon/maps.h>`

## Classes
class | Color
| Data structure representing RGB colors. More...
class | Palette
| Map `int`s to different `Color`s. More...

## Namespaces
| lemon
| The namespace of LEMON.

## Functions
Color | distantColor (const Color &c)
| Returns a visibly distinct Color. More...
Color | distantBW (const Color &c)
| Returns black for light colors and white for the dark ones. More...